summaryrefslogtreecommitdiffstats
path: root/foreman
diff options
context:
space:
mode:
authorTim Rozet <trozet@redhat.com>2015-07-14 22:19:38 -0400
committerTim Rozet <trozet@redhat.com>2015-07-14 22:19:38 -0400
commit1a0c8ab300fdc4865683586ead5d803925d6bf93 (patch)
treea80ae8816f1e955eb3baace241b21f78171a60ed /foreman
parentebbc5db9c4758d714d71fd240c447052ee01abd2 (diff)
Fixes issue where git clone fails
Looks like for some reason GIT_SSL_NO_VERIFY=true is required for the git clone to work in LF lab. I guess git cannot recognize the SSL cert. However, this same git clone command works on another non-LF server that is using the same exact git version without the need for this fix. JIRA: BGS-60 Change-Id: I2a71902b3fe01026644ada29bef67c3db3cda711 Signed-off-by: Tim Rozet <trozet@redhat.com>
Diffstat (limited to 'foreman')
-rwxr-xr-xforeman/ci/deploy.sh4
1 files changed, 2 insertions, 2 deletions
diff --git a/foreman/ci/deploy.sh b/foreman/ci/deploy.sh
index 720dc75..a607350 100755
--- a/foreman/ci/deploy.sh
+++ b/foreman/ci/deploy.sh
@@ -384,7 +384,7 @@ clone_bgs() {
rm -rf /tmp/genesis/
##clone artifacts and move into foreman_vm dir
- if ! git clone https://gerrit.opnfv.org/gerrit/genesis.git; then
+ if ! GIT_SSL_NO_VERIFY=true git clone https://gerrit.opnfv.org/gerrit/genesis.git; then
printf '%s\n' 'deploy.sh: Unable to clone genesis repo' >&2
exit 1
fi
@@ -850,7 +850,7 @@ start_virtual_nodes() {
rm -rf /tmp/genesis/
##clone genesis and move into node folder
- if ! git clone https://gerrit.opnfv.org/gerrit/genesis.git; then
+ if ! GIT_SSL_NO_VERIFY=true git clone https://gerrit.opnfv.org/gerrit/genesis.git; then
printf '%s\n' 'deploy.sh: Unable to clone vagrant repo' >&2
exit 1
fi